return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "SanatoriumPLUS",
	'template_class', "Sanatorium",
	'pin_rollover_hint', T{153893052885, --[[ModItemBuildingTemplate SanatoriumPLUS pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{986323058511, --[[ModItemBuildingTemplate SanatoriumPLUS pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 50000,
	'construction_cost_Metals', 20000,
	'construction_cost_Polymers', 10000,
	'build_points', 30000,
	'require_prefab', true,
	'is_tall', true,
	'dome_required', true,
	'dome_spot', "Spire",
	'achievement', "FirstDomeSpire",
	'upgrade1_id', "Sanatorium_BehavioralMelding",
	'upgrade1_display_name', T{379978987157, --[[ModItemBuildingTemplate SanatoriumPLUS upgrade1_display_name]] "行为纠正"},
	'upgrade1_description', T{950391065111, --[[ModItemBuildingTemplate SanatoriumPLUS upgrade1_description]] "用技能为访客取代缺陷。"},
	'upgrade1_icon', "UI/Icons/Upgrades/behavioral_melding_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_upgrade_cost_Electronics', 10000,
	'maintenance_resource_type', "Polymers",
	'maintenance_resource_amount', 2000,
	'display_name', T{562839497758, --[[ModItemBuildingTemplate SanatoriumPLUS display_name]] "疗养院(改)"},
	'display_name_pl', T{803105266202, --[[ModItemBuildingTemplate SanatoriumPLUS display_name_pl]] "疗养院(改)"},
	'description', T{262452750679, --[[ModItemBuildingTemplate SanatoriumPLUS description]] "用先进的（大多是人道的）医疗手段来治疗殖民者的缺陷。"},
	'build_category', "Dome Spires",
	'display_icon', "UI/Icons/Buildings/sanatorium.tga",
	'build_pos', 7,
	'entity', "Sanatorium",
	'encyclopedia_image', "UI/Encyclopedia/Sanatorium.tga",
	'label1', "InsideBuildings",
	'palettes', "Sanatorium",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 20000,
	'enabled_shift_1', false,
	'enabled_shift_3', false,
	'max_visitors', 40,
	'gain_point', 20000,
	'evaluation_points', 200,
	'trait1', "Gambler",
	'trait2', "Alcoholic",
	'trait3', "Glutton",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MartianUniversityPLUS",
	'template_class', "MartianUniversity",
	'pin_rollover_hint', T{304972546949, --[[ModItemBuildingTemplate MartianUniversityPLUS pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{590180541993, --[[ModItemBuildingTemplate MartianUniversityPLUS pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 30000,
	'construction_cost_Metals', 10000,
	'construction_cost_Electronics', 20000,
	'build_points', 12000,
	'dome_required', true,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 3000,
	'display_name', T{783515113087, --[[ModItemBuildingTemplate MartianUniversityPLUS display_name]] "火星大学(改)"},
	'display_name_pl', T{758591859670, --[[ModItemBuildingTemplate MartianUniversityPLUS display_name_pl]] "火星大学(改)"},
	'description', T{983344355875, --[[ModItemBuildingTemplate MartianUniversityPLUS description]] "使用新式远距学习科技训练专业技术人员。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/martian_university.tga",
	'build_pos', 10,
	'entity', "University",
	'encyclopedia_image', "UI/Encyclopedia/MartianUniversity.tga",
	'label1', "InsideBuildings",
	'palettes', "University",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 15000,
	'enabled_shift_1', false,
	'enabled_shift_3', false,
	'max_visitors', 50,
	'gain_point', 30000,
	'evaluation_points', 300,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "SchoolPLUS",
	'template_class', "School",
	'pin_rollover_hint', T{879377037229, --[[ModItemBuildingTemplate SchoolPLUS pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{584658477420, --[[ModItemBuildingTemplate SchoolPLUS pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 25000,
	'construction_cost_Electronics', 10000,
	'build_points', 9000,
	'dome_required', true,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 2000,
	'display_name', T{181627684915, --[[ModItemBuildingTemplate SchoolPLUS display_name]] "学校(改)"},
	'display_name_pl', T{188452545494, --[[ModItemBuildingTemplate SchoolPLUS display_name_pl]] "学校(改)"},
	'description', T{593223005823, --[[ModItemBuildingTemplate SchoolPLUS description]] "使用新式远距学习科技培育儿童所期望的技能。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/school.tga",
	'build_pos', 7,
	'entity', "School",
	'encyclopedia_image', "UI/Encyclopedia/School.tga",
	'label1', "InsideBuildings",
	'palettes', "School",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'enabled_shift_3', false,
	'max_visitors', 50,
	'usable_by_children', true,
	'children_only', true,
	'gain_point', 100,
	'trait1', "Survivor",
	'trait2', "Composed",
	'trait3', "Nerd",
}),
}
